### Function Macro

# GLib test_trap_assert_stdout_unmatched

since: 2.16

#### Declaration

    #define g_test_trap_assert_stdout_unmatched (
      soutpattern
    )

#### Description

Assert that the stdout output of the last test subprocess does not match `soutpattern`. See g_test_trap_subprocess().

Available since: 2.16

This function is not directly available to language bindings.

#### Parameters

`soutpattern`

  Type: `-`

  A glob-style [pattern][glib-Glob-style-pattern-matching]